@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

    html, body {
        font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    }

    a, .btn-link {
        color: #0366d6;
    }

    .btn-primary {
        color: #fff;
        background-color: #1b6ec2;
        border-color: #1861ac;
    }

    app {
        position: relative;
        display: flex;
        flex-direction: column;
    }

    .top-row {
        height: 3.5rem;
        display: flex;
        align-items: center;
    }

    .main {
        flex: 1;
    }

        .main .top-row {
            background-color: #f7f7f7;
            border-bottom: 1px solid #d6d5d5;
            justify-content: flex-end;
        }

            .main .top-row > a, .main .top-row .btn-link {
                white-space: nowrap;
                margin-left: 1.5rem;
            }

    .main .top-row a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .pageheader {
        font-family: sans-serif !important;
        font-size: 24px !important;
        color: #333333;
        font-weight: bold !important;
    }

    .sidebar {
        background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
    }

    .sidebar .top-row {
        background-color: rgba(0,0,0,0.4);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

    .sidebar .nav-item:first-of-type {
        padding-top: 1rem;
    }

    .sidebar .nav-item:last-of-type {
        padding-bottom: 1rem;
    }

    .sidebar .nav-item a {
        color: #d7d7d7;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
    }

    .sidebar .nav-item a.active {
        background-color: rgba(255,255,255,0.25);
        color: white;
    }

    .sidebar .nav-item a:hover {
        background-color: rgba(255,255,255,0.1);
        color: white;
    }

    .content {
        padding-top: 4.1rem;
    }

    .navbar-toggler {
        background-color: rgba(255, 255, 255, 0.1);
    }

    .valid.modified:not([type=checkbox]) {
        outline: 1px solid #26b050;
    }

    .invalid {
        outline: 1px solid red;
    }

    .validation-message {
        color: red;
    }

    #blazor-error-ui {
        background: lightyellow;
        bottom: 0;
        box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
        display: none;
        left: 0;
        padding: 0.6rem 1.25rem 0.7rem 1.25rem;
        position: fixed;
        width: 100%;
        z-index: 1200;
    }

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

    @media (max-width: 767.98px) {
        .main .top-row:not(.auth) {
            display: none;
        }

        .main .top-row.auth {
            justify-content: space-between;
        }

        .main .top-row a, .main .top-row .btn-link {
            margin-left: 0;
        }
    }

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        min-width:250px;
        height: auto;
        min-height:100vh;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 20rem !important;
        padding-right: 1.5rem !important;
	padding-top: 1.1rem;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }


    h1:focus {
        outline: none;
    }

    a, .btn-link {
        color: #0071c1;
    }

    .btn-primary {
        color: #fff;
        background-color: #1b6ec2;
        border-color: #1861ac;
    }

    .content {
        padding-top: 1.1rem;
    }

    .valid.modified:not([type=checkbox]) {
        outline: 1px solid #26b050;
    }

    .invalid {
        outline: 1px solid red;
    }

    .validation-message {
        color: red;
    }

    #blazor-error-ui {
        background: lightyellow;
        bottom: 0;
        box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
        display: none;
        left: 0;
        padding: 0.6rem 1.25rem 0.7rem 1.25rem;
        position: fixed;
        width: 100%;
        z-index: 1000;
    }

        #blazor-error-ui .dismiss {
            cursor: pointer;
            position: absolute;
            right: 0.75rem;
            top: 0.5rem;
        }

    .blazor-error-boundary {
        background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
        padding: 1rem 1rem 1rem 3.7rem;
        color: white;
    }

        .blazor-error-boundary::after {
            content: "An error has occurred."
        }

    .studentinfo-tabs {
        display: flex;
        border-bottom: 1px solid #ced4da;
    }

    .studentinfo-tabs > * {
        flex: 1;
        font-size: 15px;
        border: 0;
        border-radius: 10px 10px 0 0;
        margin-right: 8px;
        margin-bottom: 0;
        padding: 0.75rem 8px;
        border-bottom: 1px solid transparent;
        font-weight: 500;
    }

    .studentinfo-tabs > *:hover {
        background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.8) 0%, rgba(255, 255, 255, 0) 100%);
    }

    .studentinfo-tabs > *:last-child {
        margin-right: 0;
    }

    .studentinfo-tabs > *.selected {
        background-color: lightgoldenrodyellow;
        border: 1px solid #ced4da;
        border-bottom-width: 2px;
        border-bottom-color: lightgoldenrodyellow;
        margin-bottom: -1px;
    }

    .studentinfo-tabs > *.selected:hover {
        background-image: none;
        cursor: default;
    }

    .tab-body {
        background-color: #fff;
        border: 1px solid #ced4da;
        border-top: 0;
    }

    .table-scroll-holder {
        max-height: 350px;
        overflow-y: scroll;
        border-bottom: 2px solid #adb5bd;
    }

    .table-scroll-holder th {
        background-color: #e9ecef;
        box-shadow: 2px 3px 5px rgba(0, 0, 0, 0.1);
        font-size: .875rem;
        position: sticky;
        top: -1px;
    }

    .enrollment-status {
        background-color: lightyellow;
        border: 1px solid #ced4da;
        border-top: 0;
    }

    .enrollment-status.notactive {
        background-color: pink;
    }

    .enrollment-status.active {
        background-color: lightgreen;
    }

    .enrollment-status.activenew {
        background-color: limegreen;
    }

    .enrollment-status.activenewcourt {
        background-color: purple;
    }


    .enrollment-status.court {
        background-color: lightblue;
    }

    .enrollment-status.medicaldental {
        background-color: lightblue;
    }

    .enrollment-status.lockdown {
        background-color: lightblue;
    }

    .enrollment-status.quarantine {
        background-color: lightblue;
    }

    .enrollment-status.sick {
        background-color: lightblue;
    }

    .enrollment-status.refused {
        background-color: lightblue;
    }

    .enrollment-status.activenew {
        background-color: limegreen;
    }

    .enrollment-status.activereturning {
        background-color: limegreen;
    }

        .enrollment-status.activeunitchange {
            background-color: yellow;
        }

/*        .enrollment-status.activeunitchange-activenew {
            background-color: yellow;
        }*/


}
